Update storage category
Update an existing storage category
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
inventories
/
storage-categories
/
{id}
Update storage category
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}"
payload = {
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Heavy Goods',
max_weight: 500,
allow_new_products: 'mixed',
company_id: 1
})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Heavy Goods',
'max_weight' => 500,
'allow_new_products' => 'mixed',
'company_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update storage category
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}"
payload = {
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Heavy Goods',
max_weight: 500,
allow_new_products: 'mixed',
company_id: 1
})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/storage-categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Heavy Goods',
'max_weight' => 500,
'allow_new_products' => 'mixed',
'company_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category updated successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}